<?php

namespace App\Utils\CreditCard\Encryption;

/**
 * Does not encrypt/decrypt the data (just sends it as it is).
 * @author Gabriel Grosu
 */
class Dummy extends GeneralAbstract
{

	protected $nonce = '';

	/**
	 * For dummy - no key is needed.
	 * {@inheritDoc}
	 * @see \App\Utils\CreditCard\Encryption\GeneralAbstract::setKey()
	 */
	protected function setKey() : void
	{ }

	/**
	 * {@inheritDoc}
	 * @see \App\Utils\CreditCard\Encryption\GeneralAbstract::doEncrypt()
	 */
	public function getEncryptedData() : string
	{
		$this->currrentOperation = 'encrypt';
		return $this->initialData;
	}

	/**
	 * @see \App\Utils\CreditCard\Encryption\GeneralAbstract::getDecryptedData()
	 */
	public function getDecryptedData() : string
	{
		$this->currrentOperation = 'decrypt';
		return $this->initialData;
	}

}